import { KoliBri } from '@public-ui/schema';
import { KOL_ICON } from './defaults/icon';

// Bundes Ministerium für Finanzen
export const BMF = KoliBri.createTheme('bmf', {
	GLOBAL:
		':host {--color-midnight: #004b76;--color-ocean: #0077b6;--color-sky: #99c9e2;--color-ice: #cce4f0;--color-crimson: #780f2d;--color-red: #c0003c;--color-pink: #f2ccd8;--color-olive: #004d38;--color-green: #005c45;--color-jungle: #00854a;--color-lime: #c1ca31;--color-mint: #ccdeda;--color-fire: #7a2e1f;--color-orange: #c44931;--color-coral: #f5dcd7;--color-bronze: #c44931;--color-yellow: #c44931;--color-ivory: #c44931;--color-purple: #c44931;--color-lavender: #c44931;--color-black: #202020;--color-metal: #454d4f;--color-grey: #576164;--color-granite: #bec5c9;--color-silver: #e5e8e9;--color-smoke: #f2f3f4;--color-white: #ffffff;--font-family: BundesSans Web, Calibri, Verdana, Arial, Helvetica, sans-serif;--font-size: 16px;--spacing: 0.25em;}:host {color: var(--color-black);}:host * {box-sizing: border-box;font-family: var(--font-family);}:host h1,:host h2,:host h3,:host h4,:host h5,:host h6 {margin: 0;font-family: var(--font-family);}a,button,input,option,select,summary,textarea {-ms-hyphens: auto;-webkit-hyphens: auto;hyphens: auto;letter-spacing: inherit;word-break: break-word;}a:focus,button:focus,input:focus,select:focus,summary:focus,textarea:focus {cursor: pointer;outline-color: var(--color-ocean);outline-offset: 2px;outline-style: solid;outline-width: 3px;transition: outline-offset 0.2s linear;}@keyframes spin {0% {transform: rotate(0deg);}100% {transform: rotate(360deg);}}',
	'KOL-BUTTON':
		':host {display: inline-block;}button {background-color: transparent;border: 0;cursor: pointer;border-radius: 1.5em;min-width: 44px;min-height: 44px;padding: 0;text-decoration: none !important;}button > kol-span-wc {display: grid;gap: 0.25em;line-height: 1.5rem;font-family: var(--font-family);font-weight: 700;cursor: pointer;border-radius: 1.5em;border-style: solid;border-width: 2px;font-size: 1rem;align-items: center;padding: 8px 14px;justify-content: center;font-style: normal;text-align: center;text-transform: uppercase;width: inherit;transition-duration: 0.5s;transition-property: background-color, color, border-color;}button:disabled > kol-span-wc {cursor: not-allowed;opacity: 0.5;}button.primary > kol-span-wc,button.primary:disabled:hover > kol-span-wc {background-color: var(--color-midnight);border-color: var(--color-midnight);color: var(--color-white);}button.secondary > kol-span-wc,button.secondary:disabled:hover > kol-span-wc,button.normal > kol-span-wc,button.normal:disabled:hover > kol-span-wc {background-color: var(--color-white);border-color: var(--color-midnight);color: var(--color-midnight);}button.danger > kol-span-wc,button.danger:disabled:hover > kol-span-wc {background-color: var(--color-red);border-color: var(--color-red);color: var(--color-white);}button.ghost > kol-span-wc,button.ghost:disabled:hover > kol-span-wc {border-color: var(--color-white);background-color: var(--color-white);box-shadow: none;color: var(--color-midnight);} /*-----------*/button.primary:active > kol-span-wc,button.primary:hover > kol-span-wc,button.secondary:active > kol-span-wc,button.secondary:hover > kol-span-wc,button.normal:active > kol-span-wc,button.normal:hover > kol-span-wc,button.danger:active > kol-span-wc,button.danger:hover > kol-span-wc,button.ghost:active > kol-span-wc,button.ghost:hover > kol-span-wc {background-color: var(--color-ocean);border-color: var(--color-ocean);box-shadow: 0px 2px 8px 2px rgba(8, 35, 48, 0.24);color: var(--color-white);}button.danger:active > kol-span-wc,button.danger:hover > kol-span-wc {background-color: var(--color-crimson);border-color: var(--color-crimson);}button:disabled:hover > kol-span-wc,button:focus:hover > kol-span-wc {box-shadow: none;}button.primary:active > kol-span-wc,button.secondary:active > kol-span-wc,button.normal:active > kol-span-wc,button.danger:active > kol-span-wc,button.ghost:active > kol-span-wc {border-color: var(--color-white);box-shadow: none;outline: none;}button > kol-span-wc > span {display: flex;gap: 0.5em;margin: auto;align-items: center;justify-content: center;letter-spacing: 0.75px;}button.icon-only > kol-span-wc {padding: 8px;}button.icon-only > kol-span-wc > span > span {display: none;}button.icon-only > kol-span-wc kol-icon {display: inline-block;width: 1.5em;height: 1.5em;}button.loading > kol-span-wc kol-icon {animation: spin 5s infinite linear;}/** small ghost button */button.small.ghost > kol-span-wc {border: none;background-color: transparent;box-shadow: none;}button.small.ghost > kol-span-wc > span {border-radius: 1.5em;border-style: solid;border-width: 2px;border-color: var(--color-white);background-color: var(--color-white);}button.small.ghost:active > kol-span-wc > span,button.small.ghost:hover > kol-span-wc > span,button.small.ghost.transparent:active > kol-span-wc > span,button.small.ghost.transparent:hover > kol-span-wc > span {background-color: var(--color-ocean);border-color: var(--color-ocean);box-shadow: 0px 2px 8px 2px rgba(8, 35, 48, 0.24);color: var(--color-white);}/** button with transparent background */button.transparent > kol-span-wc > span,button.small.ghost.transparent > kol-span-wc > span,button.transparent > kol-span-wc {background-color: transparent;border-color: transparent;}',
	'KOL-INPUT-TEXT':
		'kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grey);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-PASSWORD':
		'kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-NUMBER':
		'kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-EMAIL':
		'kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-FILE':
		'kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-TEXTAREA':
		'kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-ALERT':
		':host > div {font-family: var(--font-family);border-width: 2px;border-style: solid;border-radius: 5px;display: flex;width: 100%;overflow: unset;border-color: transparent;background-color: white;}:host > div.default {border-color: var(--color-grey);}:host > div.default.msg .icon {color: var(--color-grey);}:host > div.error {border-color: var(--color-red);}:host > div.error.msg .icon {color: var(--color-red);}:host > div.info {border-color: var(--color-midnight);}:host > div.info.msg .icon {color: var(--color-midnight);}:host > div.success {border-color: var(--color-green);}:host > div.success.msg .icon {color: var(--color-green);}:host > div.warning {border-color: var(--color-orange);}:host > div.warning.msg .icon {color: var(--color-orange);}:host .icon {align-items: center;color: white;display: inline-flex;}:host > div.msg .icon {padding-right: 0.25em;}:host > div.card .heading .icon {padding: 0 0.5em 0 0;}:host > div > div > .heading {padding: 0 0.25rem;display: inline-block;}:host > div > div > .heading > .icon {margin-left: -0.25rem;margin-right: 0.25rem;border-radius: 0 0 0.25rem 0;}:host > div > div > .content {padding: 0.25rem;}:host .msg,:host .msg {border-width: 0;}:host > div.msg.default > div > .heading {color: var(--color-grey);}:host > div.msg.error > div > .heading {color: var(--color-red);}:host > div.msg.info > div > .heading {color: var(--color-midnight);}:host > div.msg.success > div > .heading {color: var(--color-green);}:host > div.msg.warning > div > .heading {color: var(--color-orange);}:host > div.msg > div {display: grid;grid-template-columns: 1fr auto;}:host > div.msg > div > .content {grid-row: 2;grid-column: 1;}:host > div.msg > div > .close {grid-row: 1 / span 2;display: flex;}:host > div.msg > div > .close > * {margin: auto;}:host > div.msg.default .close {color: var(--color-grey);}:host > div.msg.error .close {color: var(--color-red);}:host > div.msg.info .close {color: var(--color-midnight);}:host > div.msg.success .close {color: var(--color-green);}:host > div.msg.warning .close {color: var(--color-orange);}:host .card,:host .card {border: 3px solid #004b76;filter: drop-shadow(0px 2px 4px rgba(8, 35, 48, 0.24));}:host > div.card > div,:host > div.card > div {width: 100%;}:host > div.card > div > .heading {width: 100%;color: white;display: flex;font-size: 1.25rem;line-height: 1.75rem;}:host > div.card > div > .heading > * {margin: auto 0;}:host > div.card > div > .heading,:host > div.card > div > .content {padding: 0.5rem 1rem;}:host > div.card.default > div > .heading {background-color: var(--color-grey);}:host > div.card.error > div > .heading {background-color: var(--color-red);}:host > div.card.info > div > .heading {background-color: var(--color-midnight);}:host > div.card.success > div > .heading {background-color: var(--color-green);}:host > div.card.warning > div > .heading {background-color: var(--color-orange);}:host > div kol-icon::part(icon)::before {font-family: "Font Awesome 6 Free" !important;font-weight: 900;}:host > div.error kol-icon::part(icon)::before {content: "\\f06a";}:host > div.info kol-icon::part(icon)::before {content: "\\f05a";}:host > div.success kol-icon::part(icon)::before {content: "\\f058";}:host > div.warning kol-icon::part(icon)::before {content: "\\f071";}:host > div.card > div {display: grid;grid-template-columns: 1fr auto;}:host > div.card > div > .content {grid-row: 2;grid-column: 1 / span 2;}:host > div.card.default .close {background-color: var(--color-grey);}:host > div.card.error .close {background-color: var(--color-red);}:host > div.card.info .close {background-color: var(--color-midnight);}:host > div.card.success .close {background-color: var(--color-green);}:host > div.card.warning .close {background-color: var(--color-orange);}.close > button {min-width: 44px;min-height: 44px;display: grid;gap: 0.25em;line-height: 1.5rem;font-family: var(--font-family);font-weight: 700;cursor: pointer;border-radius: 1.5em;border-style: solid;border-width: 2px;font-size: 1rem;align-items: center;padding: 8px 14px;justify-content: center;font-style: normal;text-align: center;text-transform: uppercase;width: inherit;transition-duration: 0.5s;transition-property: background-color, color, border-color;background-color: rgba(0, 0, 0, 0);border-color: rgba(0, 0, 0, 0);}.close > button.icon-only {padding: 8px;}.close > button.icon-only kol-icon {display: inline-block;width: 1.5em;height: 1.5em;}.close > button:active {box-shadow: none;outline: none;}:host > div .close .icon {padding: 0;}:host > div .close kol-icon::part(icon)::before {content: "\\f00d";}',
	'KOL-HEADING':
		'h1,h2,h3,h4,h5,h6 {color: inherit;font-style: normal;margin: 0;padding: 0;}h1,h2,h3 {font-weight: 700;}h1 {font-size: 1.5rem;line-height: 3.25rem;}h2 {font-size: 1.25rem;line-height: 1.75rem;}h3 {font-size: 1.125rem;line-height: 1.5rem;}',
	'KOL-BADGE':
		':host {display: inline-block;}kol-span-wc {align-items: center;border-radius: 0.3125rem;display: grid;font-size: 0.875em;font-style: normal;font-weight: 700;gap: 0.5rem;line-height: 1.25rem;padding: 0.25rem 0.75rem;}kol-span-wc span {display: flex;gap: 0.25rem;}',
	'KOL-BUTTON-GROUP': 'div {display: flex;flex-wrap: wrap;gap: 0.5em;}',
	'KOL-INDENTED-TEXT':
		':host > div {padding: 0.25em 0.5em;width: 100%;}:host > div {box-shadow: -4px 0px 0px var(--color-ocean);background: var(--color-white);}',
	'KOL-LINK':
		'kol-link-wc {display: inline-block;}a {color: var(--color-midnight);font-style: normal;font-weight: 400;display: inline-flex;line-height: 1.5em;text-decoration-line: underline;border-radius: 0.25rem;}a:hover {text-decoration-thickness: 0.25em;}a:visited {color: var(--visited);}kol-icon {padding: 0 0.25em;display: inline-block;}.hidden {display: none;visibility: hidden;}:host a.skip {left: -99999px;overflow: hidden;position: absolute;z-index: 9999999;line-height: 1em;}:host a.skip:focus {background: white;left: unset;position: unset;}',
	'KOL-BREADCRUMB':
		'nav {width: 100%;}ul {margin: 0;padding: 0;list-style: none;display: flex;flex-wrap: wrap;align-items: center;}kol-link {display: inline;}span {color: var(--color-grey);}:host kol-icon[exportparts*="separator"] {padding: 0 0.5rem;}:host kol-icon::part(icon separator) {color: var(--color-grey);font-weight: 900;font-size: 0.875rem;}:host kol-icon::part(icon separator)::before {content: "\\f054";font-family: "Font Awesome 6 Free";}',
	'KOL-DETAILS':
		'details {display: grid;width: 100%;}summary {cursor: pointer;display: flow-root;margin: 0;padding: 0;}summary span {text-decoration: underline;}summary span:hover {text-decoration-thickness: 0.25em;}details > kol-indented-text {margin: 0.25em 0 0 0.6em;}',
	'KOL-SPIN':
		'.spin {display: inline-block;height: 1rem;position: relative;width: 3rem;}.spin span {animation-timing-function: cubic-bezier(0, 1, 1, 0);border: 0.1rem solid rgb(255, 255, 255);border-radius: 50%;height: 0.8rem;width: 0.8rem;top: 0.1rem;position: absolute;}.spin span:nth-child(1) {background-color: #fc0;z-index: 0;animation: 2s ease 0s infinite normal none running spin1;left: 0.1rem;}.spin span:nth-child(2) {background-color: #f00;z-index: 1;animation: 2s ease 0s infinite normal none running spin2;left: 0.1rem;}.spin span:nth-child(3) {background-color: #000;z-index: 1;animation: 2s ease 0s infinite normal none running spin2;left: 1.1rem;}.spin span:nth-child(4) {background-color: #666;z-index: 0;animation: 2s ease 0s infinite normal none running spin3;left: 2.1rem;}@keyframes spin1 {0% {transform: scale(0);}100% {transform: scale(1);}}@keyframes spin2 {0% {transform: translate(0px, 0px);}100% {transform: translate(1rem, 0px);}}@keyframes spin3 {0% {transform: scale(1);}100% {transform: scale(0);}}',
	'KOL-PROGRESS':
		':host progress,:host span {display: block;height: 0px;overflow: hidden;width: 0px;}svg line:first-child,svg circle:first-child {fill: transparent;stroke: var(--color-ice);}svg line:last-child,svg circle:last-child {stroke: var(--color-midnight);fill: transparent;}progress {display: none;}',
	'KOL-SELECT':
		'kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-COLOR':
		'kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-ACCORDION':
		':host > div {font-family: var(--font-family);padding: 0 0.5rem 0 0;}:host > div > kol-heading-wc {font-weight: 700;font-size: 1.25rem;line-height: 1.75rem;}:host > div > kol-heading-wc button {cursor: pointer;width: 100%;margin: 0;display: flex;gap: 0.5em;border: 0;align-items: center;overflow: hidden;font-size: inherit;line-height: 1.75em;background-color: transparent;padding: 0;}:host > div[part*="open"] > kol-heading-wc button {padding-bottom: 0;}:host > div[part*="open"] > kol-heading-wc button kol-icon {width: 1em;}:host > div > kol-heading-wc button kol-icon::part(icon) {font-weight: 900;color: var(--color-midnight);}:host > div > kol-heading-wc button kol-icon::part(close)::before {font-family: "Font Awesome 6 Free";content: "\\f077";}:host > div > kol-heading-wc button kol-icon::part(open)::before {font-family: "Font Awesome 6 Free";content: "\\f078";}:host > div {width: 100%;height: 100%;display: grid;}:host > div div[part="header"],:host > div[part*="open"] div[part="content"] {margin: 0;padding-left: 2em;}button {font-weight: inherit;font-size: inherit;line-height: inherit;}:host > div {background: var(--color-white);}:host > div[part*="open"] {padding-bottom: 1em;}',
	'KOL-TABLE':
		':host * {hyphens: var(--kolibri-hyphens);font-family: var(--kolibri-font-family);line-height: var(--kolibri-line-height);word-break: break-word;}:host > div {overflow-x: auto;overflow-y: hidden;}caption {padding: 0.5em;}th {font-weight: normal;color: var(--color-midnight);}:host table thead tr:first-child th,:host table thead tr:first-child td {border-width: 0;border-top-width: 2px;border-style: solid;border-color: var(--color-ice);}table {width: 100%;border-spacing: 0;}table,:host table thead tr:last-child th,:host table thead tr:last-child td {border-width: 0;border-bottom-width: 2px;border-style: solid;border-color: var(--color-ice);}th {background-color: var(--color-white);}th div {width: 100%;display: flex;gap: 0.5em;grid-template-columns: 1fr auto;align-items: center;}th div.center {justify-content: center;}th div.right {justify-content: end;}tr:nth-child(even) {background-color: #f2f2f2;}th,td {padding: 0.5em;}td.center > div {display: flex;justify-content: center;}td.right > div {display: flex;justify-content: end;}th[aria-sort="ascending"],th[aria-sort="descending"] {font-weight: 700;}:host > div:last-child {padding: 0.5em;}:host > div:last-child,:host > div:last-child > div:last-child {display: grid;align-items: center;justify-items: center;gap: 1em;}@media (min-width: 1024px) {:host > div:last-child,:host > div:last-child > div:last-child {grid-auto-flow: column;}:host > div:last-child kol-pagination{display: flex;gap: 1rem}}',
	'KOL-NAV':
		'* {margin: 0;padding: 0;}nav {font-family: var(--font-family);font-size: var(--font-size);background-color: var(--color-smoke);}ul {list-style: none;}a {background-color: var(--color-white);text-decoration: none;color: var(--color-midnight);width: 100%;display: flex;align-items: center;font-style: normal;font-weight: 700;padding: 0.75rem 0.5rem 0.75rem 0;border-left-color: var(--color-white);border-left-style: solid;border-left-width: 0.5rem;line-height: 1.5rem;min-height: 44px;min-width: 44px;transition-duration: 0.5s;transition-property: background-color, color, border-color;}a:hover {border-left-color: var(--color-ocean);}a[part*="selected"] {background-color: var(--color-ice);border-left-color: var(--color-midnight);color: var(--color-midnight);}a:hover,a[part*="selected"]:hover {background-color: var(--color-ocean);color: var(--color-white);}a > kol-icon {display: inline-block;text-align: center;width: 44px;flex-shrink: 0;}.hidden {display: none;}:host > div > div:last-child {margin-top: 0.5em;width: 100%;text-align: center;} /* horizontal */ul.flex {display: flex;}li > div > div.absolute {position: absolute;}.horizontal a {display: block;}',
	'KOL-CARD':
		'/* https://www.figma.com/file/56JbmrssCRpjpfxoAFeHqT/Design-System-EPLF-(in-progress)?node-id=8225%3A5945 */:host > div {display: grid;width: 100%;height: 100%;background-color: white;grid-template-rows: min-content 2fr min-content;box-shadow: 0 0 0.25rem var(--color-grey);border-radius: 0.25rem;}:host kol-heading-wc {display: inline-flex;font-style: normal;font-weight: 700;font-size: 1.25rem;line-height: 1.75rem;}:host div.header {padding: 1rem 1rem 0.5rem 1rem;}:host div.content {padding: 0.5rem 1rem 1rem;overflow: hidden;}:host div.footer {padding: 0.5rem 1rem;}:host > div > div.content + div.footer {border-top: 2px solid var(--color-ice);}',
	'KOL-INPUT-CHECKBOX':
		'/* INPUT */kol-input {display: grid;align-items: center;justify-items: left;width: 100%;min-height: 44px;}kol-input.checkbox {grid-template-columns: 2rem auto;}kol-input.switch {grid-template-columns: 4rem auto;}kol-input > div.input {display: inline-flex;order: 2;}kol-input > div.input input {margin: 0px;}kol-input > label {cursor: pointer;order: 3;}kol-input > kol-alert.error {order: 1;padding-top: 0.25em;margin-bottom: 0.4em;grid-column: span 2 / auto;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}input {cursor: pointer;order: 1;width: 100%;border-color: var(--color-grey);border-width: 2px;border-style: solid;border-radius: 5px; /* padding: 10px 14px; */line-height: 24px;font-size: 1rem;}input:hover {border-color: var(--color-midnight);box-shadow: 0px 2px 8px 2px rgba(8, 35, 48, 0.24);}input:focus:hover {box-shadow: none;}input:active {box-shadow: none;}kol-alert {display: block;width: 100%;} /* CHECKBOX */kol-input label span {margin-top: 0.125rem;}.required label > span::after {content: "*";padding-left: 0.125em;}kol-input input[type="checkbox"] {appearance: none;background-color: white;cursor: pointer;transition: 0.5s;}kol-input input[type="checkbox"].kol-disabled:before {cursor: not-allowed;}kol-input input[type="checkbox"]:before {content: "";cursor: pointer;}kol-input input[type="checkbox"]:checked {background-color: var(--color-midnight);border-color: var(--color-midnight);}kol-input.checkbox input[type="checkbox"] {border-radius: 0.25em;height: calc(6 * var(--spacing));min-width: calc(6 * var(--spacing));width: calc(6 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:before {border-radius: 1.5em;background-color: transparent;display: block;height: calc(6 * var(--spacing));position: relative;width: calc(6 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:checked:before {border-right-width: 3px;border-bottom-width: 3px;left: calc(1.5 * var(--spacing) - 2px);top: calc(2.85 * var(--spacing) - 2px);transform: rotate(40deg) translate(-50%, -50%);background-color: transparent;border-width: 0px 3px 3px 0px;border-color: white;border-radius: 1px;border-style: solid;height: calc(3 * var(--spacing));width: calc(1.5 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:indeterminate {--tw-bg-opacity: 1;background-color: white;}kol-input.checkbox input[type="checkbox"]:indeterminate:before {background-color: var(--color-grey);height: 0.375rem;top: 0.45rem;left: 0.15rem;width: calc(4 * var(--spacing));}kol-input.switch input[type="checkbox"] {min-width: 3.5em;width: 3.5em;background-color: var(--color-grey);border-width: 0;height: 1.5em;border-radius: 1.25em;display: inline-block;position: relative;}kol-input.switch input[type="checkbox"]:before {-webkit-transition: 0.5s;-moz-transition: 0.5s;-ms-transition: 0.5s;transition: 0.5;width: 1.25em;height: 1.25em;left: calc(0.25em - 2px);top: calc(0.25em - 2px);border-radius: 1.25em;background-color: white;position: absolute;}kol-input.switch input[type="checkbox"]:checked {background-color: var(--color-midnight);}kol-input.switch input[type="checkbox"]:checked:before {-webkit-transform: translateX(2em);-moz-transform: translateX(2em);-ms-transform: translateX(2em);transform: translateX(2em);--tw-bg-opacity: 1;}kol-input.switch input[type="checkbox"]:indeterminate {--tw-bg-opacity: 1;}kol-input.switch input[type="checkbox"]:indeterminate:before {-webkit-transform: translateX(1em);-moz-transform: translateX(1em);-ms-transform: translateX(1em);transform: translateX(1em);}.disabled {opacity: 0.33;}',
	'KOL-INPUT-RADIO':
		'/* INPUT */label {cursor: pointer;display: grid;line-height: 20px;gap: 8px;width: 100%;}input {cursor: pointer;width: 100%;border-color: var(--color-grey);border-width: 2px;border-style: solid;border-radius: 5px; /* padding: 10px 14px; */line-height: 24px;font-size: 16px;}input:hover {border-color: var(--color-midnight);box-shadow: 0px 2px 8px 2px rgba(8, 35, 48, 0.24);}input:focus:hover {box-shadow: none;}input:hover {border-color: var(--color-midnight);}kol-alert {display: block;width: 100%;margin-bottom: 0.4em;}.required legend > span::after {content: "*";padding-left: 0.125em;} /* RADIO */:host fieldset {border: 0px;margin: 0px;padding: 0px;display: grid;gap: 0.25em;}:host fieldset div {cursor: pointer;display: flex;flex-direction: row;align-items: center;position: relative;min-height: 44px;}:host fieldset div label {cursor: pointer;display: flex;padding-left: 0.25em;width: 100%;}:host fieldset div label span {margin-top: 0.125em;}:host fieldset div input[type="radio"] {appearance: none;transition: 0.5s;border-radius: 100%;height: calc(6 * var(--spacing));min-width: calc(6 * var(--spacing));width: calc(6 * var(--spacing));}:host fieldset div input[type="radio"]:before {content: "";cursor: pointer;left: calc(1.5 * var(--spacing) - 2px);top: calc(1.5 * var(--spacing) - 2px);position: relative;border-radius: 100%;display: block;height: calc(3 * var(--spacing));width: calc(3 * var(--spacing));}:host fieldset div input[type="radio"]:checked:before {background-color: var(--color-midnight);}:host fieldset div input[type="radio"]:disabled {cursor: not-allowed;border-color: var(--border-default);background-color: var(--background-light-grey);}:host fieldset #error {margin: 0.4em 0;order: 1;}:host fieldset legend {order: 2;display: contents;}:host fieldset kol-input {order: 3;}:host fieldset.error {padding-left: 1em;border-left: 3px solid var(--color-red);}:host fieldset kol-alert#error {color: var(--color-red);font-weight: 700;}:host fieldset.error input:focus,:host fieldset.error select:focus,:host fieldset.error textarea:focus {outline-color: var(--color-red) !important;}:host fieldset.error kol-alert.error {margin-left: -0.25em;color: var(--color-red);font-weight: 700;}.disabled {opacity: 0.33;}:host fieldset.horizontal {display: flex;flex-wrap: wrap;gap: 0.5rem 1rem;}:host fieldset.horizontal legend {display: inline-block;margin-bottom: 0.25em;}',
	'KOL-LINK-GROUP':
		'ul {list-style: none;margin: 0px;padding: 0px;}nav.horizontal ul {display: flex;flex-wrap: wrap;}nav.horizontal li {margin-left: 1.25rem;margin-right: 0.25rem;}nav.horizontal li:first-child {margin-left: 0;}nav.horizontal li:last-child {margin-right: 0;}nav.vertical li {margin-left: 1.75rem;margin-right: 0.5rem;}li.list-none {list-style-type: none !important;margin-left: 0;}',
	'KOL-TOAST':
		':host > div {position: fixed;top: 0;left: 0;width: 100%;height: 0;z-index: 200;}:host > div > kol-alert {display: block;margin: auto;padding: 1rem;max-width: 750px;}:host > div > kol-button-wc {top: 0;position: relative;display: block;margin: auto;width: 1em;}',
	'KOL-TABS':
		'kol-button-group > div {margin: 0 1rem;}kol-button-group > div:first-child {margin-left: 0;}kol-button-group > div:last-child {margin-right: 0;}button {background-color: transparent;border: 0;font-style: normal;font-weight: 700;font-size: 18px;line-height: 22px;text-transform: uppercase;color: var(--color-grey);padding: 0;}button:hover {color: var(--color-midnight);}button.primary,button.selected {color: var(--color-midnight);text-decoration-line: underline;text-underline-offset: 5px;text-decoration-thickness: 0.25em;}:host > div > div {padding: 0.25em 0;}.close-button {display: none;font-size: 25%;height: fit-content;width: 0;}.close-button button {width: 1rem;position: relative;height: 1rem;left: -4.25em;top: 0.25em;}div[role="tabpanel"] {height: 100%;}div.grid {height: 100%;}:host > .tabs-align-right {display: grid;grid-template-columns: 1fr auto;}:host > .tabs-align-right kol-button-group-wc {display: grid;order: 2;}:host > .tabs-align-left {display: grid;grid-template-columns: auto 1fr;}:host > .tabs-align-left kol-button-group-wc {display: grid;order: 0;}:host > .tabs-align-bottom {display: grid;grid-template-rows: 1fr auto;}:host > .tabs-align-bottom kol-button-group-wc {order: 2;}:host > .tabs-align-bottom kol-button-group-wc > div {display: flex;}:host > .tabs-align-bottom > kol-button-group-wc > div > div:first-child {margin: 0px 1em 0px 0px;}:host > .tabs-align-bottom > kol-button-group-wc > div > div {margin: 0px 1em;}:host > .tabs-align-top {display: grid;grid-template-rows: auto 1fr;}:host > .tabs-align-top kol-button-group-wc {order: 0;}:host > .tabs-align-top kol-button-group-wc > div {display: flex;}:host > .tabs-align-top > kol-button-group-wc > div > div:first-child {margin: 0px 1em 0px 0px;}:host > .tabs-align-top > kol-button-group-wc > div > div {margin: 0px 1em;}:host > div {display: grid;}:host > div.tabs-align-left {grid-template-columns: auto 1fr;}:host > div.tabs-align-right {grid-template-columns: 1fr auto;}:host > .tabs-align-left kol-button-group-wc,:host > .tabs-align-top kol-button-group-wc {order: 0;}:host > .tabs-align-bottom kol-button-group-wc,:host > .tabs-align-right kol-button-group-wc {order: 1;}:host > div.tabs-align-left kol-button-group-wc > div,:host > div.tabs-align-left kol-button-group-wc > div > div,:host > div.tabs-align-right kol-button-group-wc > div,:host > div.tabs-align-right kol-button-group-wc > div > div {display: grid;}:host > div.tabs-align-left kol-button-group-wc > div > div kol-button-wc,:host > div.tabs-align-right kol-button-group-wc > div > div kol-button-wc {width: 100%;}:host > div.tabs-align-bottom kol-button-group-wc div,:host > div.tabs-align-top kol-button-group-wc div {display: flex;flex-wrap: wrap;}',
	'KOL-PAGINATION':
		':host {display: grid;gap: 1rem;}:host > div {display: inline-flex;flex-wrap: wrap;align-items: center;gap: 0.5em;}:host .selected button {min-width: 44px;min-height: 44px;display: grid;line-height: 1.5rem;font-family: var(--font-family);cursor: not-allowed;font-weight: 700;padding: 10px 12px;border-radius: 1.5em;border: none;font-size: 16px;font-style: normal;text-align: center;text-transform: uppercase;width: inherit;transition-duration: 0.5s;transition-property: background-color, color, border-color;color: var(--color-midnight);background-color: var(--color-ice);border-color: var(--color-ice);}:host > div > span {align-self: flex-end;padding-bottom: 0.5rem;color: var(--color-midnight);}',
	'KOL-INPUT-RANGE':
		'/* https://www.cssportal.com/style-input-range/ */kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-grey);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: calc(100% - 4em);}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grey);}input:hover {border-color: var(--color-midnight);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required #label::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.725em 0.875em;box-sizing: border-box;border-color: transparent;border-width: 2px;border-style: solid;}.icon-left input,.icon-left select {padding-left: calc(0.875em + 1em + 0.5em);}.icon-right input,.icon-right select {padding-right: calc(0.875em + 1em + 0.5em);}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grey);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}.icon-left input,.icon-left select {margin-left: 2em;}.icon-right input,.icon-right select {margin-right: 2em;}input[type="range"] {appearance: none;-webkit-appearance: none;-moz-appearance: none;}input[type="range"] {overflow: visible;background-color: var(--color-ice);border: 0;height: 0.5rem;padding: 0;padding-bottom: 0;margin-bottom: 0;}input[type="range"]::-webkit-slider-thumb {box-sizing: border-box;background-color: var(--color-midnight);height: 20px;width: 20px;border-radius: 20px;cursor: pointer;-webkit-appearance: none;}',
	'KOL-LINK-BUTTON':
		':host {display: inline-block;}a {background-color: transparent;border: 0;border-radius: 1.5em;cursor: pointer;min-width: 44px;min-height: 44px;padding: 0;text-decoration: none !important;display: inherit;}a > kol-span-wc {display: grid;gap: 0.25em;line-height: 1.5rem;font-family: var(--font-family);font-weight: 700;border-radius: 1.5em;border-style: solid;border-width: 2px;font-size: 1rem;align-items: center;padding: 8px 14px;justify-content: center;font-style: normal;text-align: center;text-transform: uppercase;width: inherit;transition-duration: 0.5s;transition-property: background-color, color, border-color;}a:disabled > kol-span-wc {cursor: not-allowed;opacity: 0.5;}a.primary > kol-span-wc,a.primary:disabled:hover > kol-span-wc {background-color: var(--color-midnight);border-color: var(--color-midnight);color: var(--color-white);}a.secondary > kol-span-wc,a.secondary:disabled:hover > kol-span-wc,a.normal > kol-span-wc,a.normal:disabled:hover > kol-span-wc {background-color: var(--color-white);border-color: var(--color-midnight);color: var(--color-midnight);}a.danger > kol-span-wc,a.danger:disabled:hover > kol-span-wc {background-color: var(--color-red);border-color: var(--color-red);color: var(--color-white);}a.ghost > kol-span-wc,a.ghost:disabled:hover > kol-span-wc {border-color: var(--color-white);background-color: var(--color-white);box-shadow: none;color: var(--color-midnight);} /*-----------*/a.primary:active > kol-span-wc,a.primary:hover > kol-span-wc,a.secondary:active > kol-span-wc,a.secondary:hover > kol-span-wc,a.normal:active > kol-span-wc,a.normal:hover > kol-span-wc,a.danger:active > kol-span-wc,a.danger:hover > kol-span-wc,a.ghost:active > kol-span-wc,a.ghost:hover > kol-span-wc {background-color: var(--color-ocean);border-color: var(--color-ocean);box-shadow: 0px 2px 8px 2px rgba(8, 35, 48, 0.24);color: var(--color-white);}a.danger:active > kol-span-wc,a.danger:hover > kol-span-wc {background-color: var(--color-crimson);border-color: var(--color-crimson);}a:disabled:hover > kol-span-wc,a:focus:hover > kol-span-wc {box-shadow: none;}a.primary:active > kol-span-wc,a.secondary:active > kol-span-wc,a.normal:active > kol-span-wc,a.danger:active > kol-span-wc,a.ghost:active > kol-span-wc {border-color: var(--color-white);box-shadow: none;outline: none;}a > kol-span-wc > span {display: flex;gap: 0.5em;margin: auto;align-items: center;justify-content: center;letter-spacing: 0.75px;}area.icon-only > kol-span-wc {padding: 8px;}a.icon-only > kol-span-wc > span > span {display: none;}a.icon-only > kol-span-wc kol-icon {display: inline-block;width: 1.5em;height: 1.5em;}a.loading > kol-span-wc kol-icon {animation: spin 5s infinite linear;}',
	'KOL-BUTTON-LINK':
		'button {/*min-width: 44px;min-height: 44px;*/color: var(--color-midnight);font-style: normal;font-weight: 400;display: inline-flex;line-height: 1.5em;text-decoration-line: underline;background: none;cursor: pointer;border: 0;border-radius: 0.25rem;}button:hover {text-decoration-thickness: 0.25em;}button:visited {color: var(--visited);}kol-icon {padding: 0 0.25em;display: inline-block;}.hidden {display: none;visibility: hidden;}:host button.skip {left: -99999px;overflow: hidden;position: absolute;z-index: 9999999;line-height: 1em;}:host button.skip:focus {background: white;left: unset;position: unset;}',
	'KOL-ICON': KOL_ICON,
	'KOL-ABBR': 'abbr {text-decoration: none;border-bottom: dotted var(--color-metal) 1px;}',
});
